Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.operators
Class JSliderOperator

    java.lang.Object
      |
      +--org.netbeans.jemmy.operators.Operator
            |
            +--org.netbeans.jemmy.operators.ComponentOperator
                  |
                  +--org.netbeans.jemmy.operators.ContainerOperator
                        |
                        +--org.netbeans.jemmy.operators.JComponentOperator
                              |
                              +--org.netbeans.jemmy.operators.JSliderOperator

All Implemented Interfaces:
  Outputable, Timeoutable

public class JSliderOperator
extends JComponentOperator
implements Timeoutable, Outputable

Covers `javax.swing.JSlider` component.
Timeouts used:
JSliderOperator.WholeScrollTimeout - time for the whole scrolling.
JSliderOperator.ScrollingDelta - time delta to verify result durong scrolling.

Author:
  Alexandre Iline (alexandre.iline@sun.com)

Inner Class Summary
`static class` | `JSliderOperator.JSliderFinder` Checks component type.

Inner classes inherited from class org.netbeans.jemmy.operators.JComponentOperator
`JComponentOperator.JComponentByTipFinder, JComponentOperator.JComponentFinder`

Inner classes inherited from class org.netbeans.jemmy.operators.ContainerOperator
`ContainerOperator.ContainerFinder`

Inner classes inherited from class org.netbeans.jemmy.operators.Operator
`Operator.ComponentVisualizer, Operator.DefaultPathParser, Operator.DefaultStringComparator, Operator.Finder, Operator.MapAction, Operator.MapBooleanAction, Operator.MapByteAction, Operator.MapCharacterAction, Operator.MapDoubleAction, Operator.MapFloatAction, Operator.MapIntegerAction, Operator.MapLongAction, Operator.MapVoidAction, Operator.NoBlockingAction, Operator.PathParser, Operator.StringComparator`

Field Summary
`static int` | `CLICK_SCROLL_MODEL` Deprecated. All actions are prformed throw a `ScrollDriver` registered for this component, So this field is useless.
`static java.lang.String` | `HORIZONTAL_ORIENTATION_DPROP_VALUE` Identifier for a "HORIZONTAL" value of "orientation" property.
`static java.lang.String` | `IS_INVERTED_DPROP` Identifier for a "inverted" property.
`static java.lang.String` | `MAXIMUM_DPROP` Identifier for a "maximum" property.
`static java.lang.String` | `MINIMUM_DPROP` Identifier for a "minimum" property.
`static java.lang.String` | `ORIENTATION_DPROP` Identifier for a "orientation" property.
`static int` | `PUSH_AND_WAIT_SCROLL_MODEL` Deprecated. All actions are prformed throw a `ScrollDriver` registered for this component, So this field is useless.
`static java.lang.String` | `VALUE_DPROP` Identifier for a "value" property.
`static java.lang.String` | `VERTICAL_ORIENTATION_DPROP_VALUE` Identifier for a "VERTICAL" value of "orientation" property.

Fields inherited from class org.netbeans.jemmy.operators.JComponentOperator
`TOOLTIP_TEXT_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.ComponentOperator
`HEIGHT_DPROP, IS_SHOWING_DPROP, IS_VISIBLE_DPROP, WIDTH_DPROP, X_DPROP, Y_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.Operator
`CLASS_DPROP, TO_STRING_DPROP`

Constructor Summary
`JSliderOperator(ContainerOperator cont)` Constructor.
`JSliderOperator(ContainerOperator cont, ComponentChooser chooser)` Constructs a JSliderOperator object.
`JSliderOperator(ContainerOperator cont, ComponentChooser chooser, int index)` Constructs a JSliderOperator object.
`JSliderOperator(ContainerOperator cont, int index)` Constructor.
`JSliderOperator(javax.swing.JSlider b)` Constructor.

Method Summary
`void` | `addChangeListener(javax.swing.event.ChangeListener changeListener)` Maps `JSlider.addChangeListener(ChangeListener)` through queue
`java.util.Hashtable` | `createStandardLabels(int i)` Maps `JSlider.createStandardLabels(int)` through queue
`java.util.Hashtable` | `createStandardLabels(int i, int i1)` Maps `JSlider.createStandardLabels(int, int)` through queue
`static javax.swing.JSlider` | `findJSlider(java.awt.Container cont)` Searches 0'th JSlider in container.
`static javax.swing.JSlider` | `findJSlider(java.awt.Container cont, ComponentChooser chooser)` Searches 0'th JSlider in container.
`static javax.swing.JSlider` | `findJSlider(java.awt.Container cont, ComponentChooser chooser, int index)` Searches JSlider in container.
`static javax.swing.JSlider` | `findJSlider(java.awt.Container cont, int index)` Searches JSlider in container.
`java.util.Hashtable` | `getDump()` Returns information about component.
`int` | `getExtent()` Maps `JSlider.getExtent()` through queue
`boolean` | `getInverted()` Maps `JSlider.getInverted()` through queue
`java.util.Dictionary` | `getLabelTable()` Maps `JSlider.getLabelTable()` through queue
`int` | `getMajorTickSpacing()` Maps `JSlider.getMajorTickSpacing()` through queue
`int` | `getMaximum()` Maps `JSlider.getMaximum()` through queue
`int` | `getMinimum()` Maps `JSlider.getMinimum()` through queue
`int` | `getMinorTickSpacing()` Maps `JSlider.getMinorTickSpacing()` through queue
`javax.swing.BoundedRangeModel` | `getModel()` Maps `JSlider.getModel()` through queue
`int` | `getOrientation()` Maps `JSlider.getOrientation()` through queue
`TestOut` | `getOutput()` Returns print output streams or writers.
`boolean` | `getPaintLabels()` Maps `JSlider.getPaintLabels()` through queue
`boolean` | `getPaintTicks()` Maps `JSlider.getPaintTicks()` through queue
`boolean` | `getPaintTrack()` Maps `JSlider.getPaintTrack()` through queue
`int` | `getScrollModel()` Deprecated. All actions are prformed throw a `ScrollDriver` registered for this component, so value returned by this method is ignored.
`boolean` | `getSnapToTicks()` Maps `JSlider.getSnapToTicks()` through queue
`Timeouts` | `getTimeouts()` Return current timeouts.
`javax.swing.plaf.SliderUI` | `getUI()` Maps `JSlider.getUI()` through queue
`int` | `getValue()` Maps `JSlider.getValue()` through queue
`boolean` | `getValueIsAdjusting()` Maps `JSlider.getValueIsAdjusting()` through queue
`void` | `removeChangeListener(javax.swing.event.ChangeListener changeListener)` Maps `JSlider.removeChangeListener(ChangeListener)` through queue
`void` | `scrollTo(ScrollAdjuster adj)` Scrolls slider to the position defined by a ScrollAdjuster implementation.
`void` | `scrollToMaximum()` Moves slider to the maximal value.
`void` | `scrollToMinimum()` Moves slider to the minimal value.
`void` | `scrollToValue(int value)` Moves slider to the necessary value.
`void` | `setExtent(int i)` Maps `JSlider.setExtent(int)` through queue
`void` | `setInverted(boolean b)` Maps `JSlider.setInverted(boolean)` through queue
`void` | `setLabelTable(java.util.Dictionary dictionary)` Maps `JSlider.setLabelTable(Dictionary)` through queue
`void` | `setMajorTickSpacing(int i)` Maps `JSlider.setMajorTickSpacing(int)` through queue
`void` | `setMaximum(int i)` Maps `JSlider.setMaximum(int)` through queue
`void` | `setMinimum(int i)` Maps `JSlider.setMinimum(int)` through queue
`void` | `setMinorTickSpacing(int i)` Maps `JSlider.setMinorTickSpacing(int)` through queue
`void` | `setModel(javax.swing.BoundedRangeModel boundedRangeModel)` Maps `JSlider.setModel(BoundedRangeModel)` through queue
`void` | `setOrientation(int i)` Maps `JSlider.setOrientation(int)` through queue
`void` | `setOutput(TestOut out)` Defines print output streams or writers.
`void` | `setPaintLabels(boolean b)` Maps `JSlider.setPaintLabels(boolean)` through queue
`void` | `setPaintTicks(boolean b)` Maps `JSlider.setPaintTicks(boolean)` through queue
`void` | `setPaintTrack(boolean b)` Maps `JSlider.setPaintTrack(boolean)` through queue
`void` | `setScrollModel(int model)` Deprecated. All actions are prformed throw a `ScrollDriver` registered for this component, so value set by this method is ignored.
`void` | `setSnapToTicks(boolean b)` Maps `JSlider.setSnapToTicks(boolean)` through queue
`void` | `setTimeouts(Timeouts timeouts)` Defines current timeouts.
`void` | `setUI(javax.swing.plaf.SliderUI sliderUI)` Maps `JSlider.setUI(SliderUI)` through queue
`void` | `setValue(int i)` Maps `JSlider.setValue(int)` through queue
`void` | `setValueIsAdjusting(boolean b)` Maps `JSlider.setValueIsAdjusting(boolean)` through queue
`static javax.swing.JSlider` | `waitJSlider(java.awt.Container cont)` Waits 0'th JSlider in container.
`static javax.swing.JSlider` | `waitJSlider(java.awt.Container cont, ComponentChooser chooser)` Waits 0'th JSlider in container.
`static javax.swing.JSlider` | `waitJSlider(java.awt.Container cont, ComponentChooser chooser, int index)` Waits JSlider in container.
`static javax.swing.JSlider` | `waitJSlider(java.awt.Container cont, int index)` Waits JSlider in container.

Methods inherited from class org.netbeans.jemmy.operators.JComponentOperator
`addAncestorListener, addVetoableChangeListener, computeVisibleRect, createToolTip, findJComponent, findJComponent, findJComponent, findJComponent, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getActionForKeyStroke, getAutoscrolls, getBorder, getCenterXForClick, getCenterYForClick, getClientProperty, getConditionForKeyStroke, getDebugGraphicsOptions, getInsets, getNextFocusableComponent, getRegisteredKeyStrokes, getRootPane, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getUIClassID, getVisibleRect, getWindowContainerOperator, grabFocus, isFocusCycleRoot, isManagingFocus, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintImmediately, paintImmediately, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeVetoableChangeListener, repaint, requestDefaultFocus, resetKeyboardActions, revalidate, scrollRectToVisible, setAlignmentX, setAlignmentY, setAutoscrolls, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, showToolTip, unregisterKeyboardAction, updateUI, waitJComponent, waitJComponent, waitJComponent, waitJComponent, waitToolTip`

Methods inherited from class org.netbeans.jemmy.operators.ContainerOperator
`add, add, add, add, add, addContainerListener, createSubOperator, createSubOperator, findComponentAt, findComponentAt, findContainer, findContainer, findContainer, findContainer, findContainerUnder, findContainerUnder, findSubComponent, findSubComponent, getComponent, getComponentCount, getComponents, getInsets, getLayout, isAncestorOf, paintComponents, printComponents, remove, remove, removeAll, removeContainerListener, setLayout, waitContainer, waitContainer, waitContainer, waitContainer, waitSubComponent, waitSubComponent`

Methods inherited from class org.netbeans.jemmy.operators.ComponentOperator
`activateWindow, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, checkImage, checkImage, clickForPopup, clickForPopup, clickForPopup, clickForPopup, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, contains, contains, copyEnvironment, createImage, createImage, dispatchEvent, doLayout, dragMouse, dragMouse, dragMouse, dragNDrop, dragNDrop, dragNDrop, enableInputMethods, enterMouse, exitMouse, findComponent, findComponent, getAlignmentX, getAlignmentY, getBackground, getBounds, getBounds, getCenterX, getCenterY, getColorModel, getComponentAt, getComponentAt, getComponentOrientation, getContainer, getContainers, getCursor, getDropTarget, getEventDispatcher, getFocus, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMinimumSize, getName, getParent, getPreferredSize, getSize, getSize, getSource, getToolkit, getTreeLock, getWidth, getWindow, getX, getY, hasFocus, imageUpdate, invalidate, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, list, list, list, list, list, makeComponentVisible, moveMouse, paint, paintAll, prepareImage, prepareImage, pressKey, pressKey, pressMouse, pressMouse, print, printAll, pushKey, pushKey, releaseKey, releaseKey, releaseMouse, releaseMouse, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFont, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, transferFocus, typeKey, typeKey, typeKey, update, validate, waitComponent, waitComponent, waitComponent, waitComponent, waitComponentEnabled, waitComponentShowing, waitComponentVisible, waitHasFocus`

Methods inherited from class org.netbeans.jemmy.operators.Operator
`addOperatorPackage, addToDump, addToDump, createOperator, getCharBindingMap, getCharKey, getCharModifiers, getCharsKeys, getCharsKeys, getCharsModifiers, getCharsModifiers, getComparator, getDefaultComponentVisualizer, getDefaultMouseButton, getDefaultPathParser, getDefaultStringComparator, getDefaultVerification, getEnvironmentOperator, getParentPath, getPathParser, getPopupMouseButton, getProperties, getQueueTool, getVerification, getVisualizer, isCaptionEqual, isCaptionEqual, isCaptionEqual, lockQueue, parseString, parseString, printDump, produceNoBlocking, produceNoBlocking, produceTimeRestricted, produceTimeRestricted, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, setCharBindingMap, setComparator, setDefaultComponentVisualizer, setDefaultPathParser, setDefaultStringComparator, setDefaultVerification, setPathParser, setProperties, setVerification, setVisualizer, unlockAndThrow, unlockQueue, waitState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MINIMUM_DPROP

    public static final java.lang.String MINIMUM_DPROP

  Identifier for a "minimum" property.
  See Also:
    `getDump()`

### MAXIMUM_DPROP

    public static final java.lang.String MAXIMUM_DPROP

  Identifier for a "maximum" property.
  See Also:
    `getDump()`

### VALUE_DPROP

    public static final java.lang.String VALUE_DPROP

  Identifier for a "value" property.
  See Also:
    `getDump()`

### ORIENTATION_DPROP

    public static final java.lang.String ORIENTATION_DPROP

  Identifier for a "orientation" property.
  See Also:
    `getDump()`

### HORIZONTAL_ORIENTATION_DPROP_VALUE

    public static final java.lang.String HORIZONTAL_ORIENTATION_DPROP_VALUE

  Identifier for a "HORIZONTAL" value of "orientation" property.
  See Also:
    `getDump()`

### VERTICAL_ORIENTATION_DPROP_VALUE

    public static final java.lang.String VERTICAL_ORIENTATION_DPROP_VALUE

  Identifier for a "VERTICAL" value of "orientation" property.
  See Also:
    `getDump()`

### IS_INVERTED_DPROP

    public static final java.lang.String IS_INVERTED_DPROP

  Identifier for a "inverted" property.

### CLICK_SCROLL_MODEL

    public static final int CLICK_SCROLL_MODEL

  Deprecated. All actions are prformed throw a `ScrollDriver` registered for this component, So this field is useless.

  Scrolling model.
  See Also:
    `setScrollModel(int)`

### PUSH_AND_WAIT_SCROLL_MODEL

    public static final int PUSH_AND_WAIT_SCROLL_MODEL

  Deprecated. All actions are prformed throw a `ScrollDriver` registered for this component, So this field is useless.

  Push and wait scroll model. Mouse is pressed, and released after necessary position reached.
  See Also:
    `setScrollModel(int)`

Constructor Detail

### JSliderOperator

    public JSliderOperator(javax.swing.JSlider b)

  Constructor.
  Parameters:
    `b` - JSlider component.

### JSliderOperator

    public JSliderOperator(ContainerOperator cont,
                           ComponentChooser chooser,
                           int index)

  Constructs a JSliderOperator object.
  Parameters:
    `cont` - a container
    `chooser` - a component chooser specifying searching criteria.
    `index` - an index between appropriate ones.

### JSliderOperator

    public JSliderOperator(ContainerOperator cont,
                           ComponentChooser chooser)

  Constructs a JSliderOperator object.
  Parameters:
    `cont` - a container
    `chooser` - a component chooser specifying searching criteria.

### JSliderOperator

    public JSliderOperator(ContainerOperator cont,
                           int index)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - Operator pointing a container to search component in.
    `index` - Ordinal component index.
  Throws:
    `TimeoutExpiredException` -

### JSliderOperator

    public JSliderOperator(ContainerOperator cont)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - Operator pointing a container to search component in.
  Throws:
    `TimeoutExpiredException` -

Method Detail

### findJSlider

    public static javax.swing.JSlider findJSlider(java.awt.Container cont,
                                                  ComponentChooser chooser,
                                                  int index)

  Searches JSlider in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
    `index` - Ordinal component index.
  Returns:
    JSlider instance or null if component was not found.

### findJSlider

    public static javax.swing.JSlider findJSlider(java.awt.Container cont,
                                                  ComponentChooser chooser)

  Searches 0'th JSlider in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
  Returns:
    JSlider instance or null if component was not found.

### findJSlider

    public static javax.swing.JSlider findJSlider(java.awt.Container cont,
                                                  int index)

  Searches JSlider in container.
  Parameters:
    `cont` - Container to search component in.
    `index` - Ordinal component index.
  Returns:
    JSlider instance or null if component was not found.

### findJSlider

    public static javax.swing.JSlider findJSlider(java.awt.Container cont)

  Searches 0'th JSlider in container.
  Parameters:
    `cont` - Container to search component in.
  Returns:
    JSlider instance or null if component was not found.

### waitJSlider

    public static javax.swing.JSlider waitJSlider(java.awt.Container cont,
                                                  ComponentChooser chooser,
                                                  int index)

  Waits JSlider in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
    `index` - Ordinal component index.
  Returns:
    JSlider instance or null if component was not displayed.
  Throws:
    `TimeoutExpiredException` -

### waitJSlider

    public static javax.swing.JSlider waitJSlider(java.awt.Container cont,
                                                  ComponentChooser chooser)

  Waits 0'th JSlider in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
  Returns:
    JSlider instance or null if component was not displayed.
  Throws:
    `TimeoutExpiredException` -

### waitJSlider

    public static javax.swing.JSlider waitJSlider(java.awt.Container cont,
                                                  int index)

  Waits JSlider in container.
  Parameters:
    `cont` - Container to search component in.
    `index` - Ordinal component index.
  Returns:
    JSlider instance or null if component was not displayed.
  Throws:
    `TimeoutExpiredException` -

### waitJSlider

    public static javax.swing.JSlider waitJSlider(java.awt.Container cont)

  Waits 0'th JSlider in container.
  Parameters:
    `cont` - Container to search component in.
  Returns:
    JSlider instance or null if component was not displayed.
  Throws:
    `TimeoutExpiredException` -

### setScrollModel

    public void setScrollModel(int model)

  Deprecated. All actions are prformed throw a `ScrollDriver` registered for this component, so value set by this method is ignored.

  Defines scroll model. Default model value - CLICK_SCROLL_MODEL.
  Parameters:
    `model` - New scroll model value.
  See Also:
    `CLICK_SCROLL_MODEL`, `PUSH_AND_WAIT_SCROLL_MODEL`, `getScrollModel()`, `scrollToValue(int)`

### getScrollModel

    public int getScrollModel()

  Deprecated. All actions are prformed throw a `ScrollDriver` registered for this component, so value returned by this method is ignored.

  Specifies the scroll model.
  Returns:
    Current scroll model value.
  See Also:
    `setScrollModel(int)`

### setOutput

    public void setOutput(TestOut out)

  Description copied from interface: `Outputable`
  Defines print output streams or writers.
  Specified by:
    `setOutput` in interface `Outputable`
  Overrides:
    `setOutput` in class `JComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Outputable`
  Parameters:
    `out` - Identify the streams or writers used for print output.
  See Also:
    `Outputable.getOutput()`

### getOutput

    public TestOut getOutput()

  Description copied from interface: `Outputable`
  Returns print output streams or writers.
  Specified by:
    `getOutput` in interface `Outputable`
  Overrides:
    `getOutput` in class `JComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Outputable`
  Returns:
    an object that contains references to objects for printing to output and err streams.
  See Also:
    `Outputable.setOutput(org.netbeans.jemmy.TestOut)`

### setTimeouts

    public void setTimeouts(Timeouts timeouts)

  Description copied from interface: `Timeoutable`
  Defines current timeouts.
  Specified by:
    `setTimeouts` in interface `Timeoutable`
  Overrides:
    `setTimeouts` in class `JComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Timeoutable`
  Parameters:
    `t` - A collection of timeout assignments.
  See Also:
    `Timeoutable.getTimeouts()`

### getTimeouts

    public Timeouts getTimeouts()

  Description copied from interface: `Timeoutable`
  Return current timeouts.
  Specified by:
    `getTimeouts` in interface `Timeoutable`
  Overrides:
    `getTimeouts` in class `JComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Timeoutable`
  Returns:
    the collection of current timeout assignments.
  See Also:
    `Timeoutable.setTimeouts(org.netbeans.jemmy.Timeouts)`

### scrollTo

    public void scrollTo(ScrollAdjuster adj)

  Scrolls slider to the position defined by a ScrollAdjuster implementation.
  Parameters:
    `adj` - defines scrolling direction, and so on.
  Throws:
    `TimeoutExpiredException` -

### scrollToValue

    public void scrollToValue(int value)

  Moves slider to the necessary value.
  Parameters:
    `value` - Value to move slider to.
  Throws:
    `TimeoutExpiredException` -

### scrollToMaximum

    public void scrollToMaximum()

  Moves slider to the maximal value.
  Throws:
    `TimeoutExpiredException` -

### scrollToMinimum

    public void scrollToMinimum()

  Moves slider to the minimal value.
  Throws:
    `TimeoutExpiredException` -

### getDump

    public java.util.Hashtable getDump()

  Description copied from class: `ComponentOperator`
  Returns information about component.
  Overrides:
    `getDump` in class `JComponentOperator`
  Following copied from class: `org.netbeans.jemmy.operators.Operator`
  Returns:
    a Hashtable containing name-value pairs.

### addChangeListener

    public void addChangeListener(javax.swing.event.ChangeListener changeListener)

  Maps `JSlider.addChangeListener(ChangeListener)` through queue

### createStandardLabels

    public java.util.Hashtable createStandardLabels(int i)

  Maps `JSlider.createStandardLabels(int)` through queue

### createStandardLabels

    public java.util.Hashtable createStandardLabels(int i,
                                                    int i1)

  Maps `JSlider.createStandardLabels(int, int)` through queue

### getExtent

    public int getExtent()

  Maps `JSlider.getExtent()` through queue

### getInverted

    public boolean getInverted()

  Maps `JSlider.getInverted()` through queue

### getLabelTable

    public java.util.Dictionary getLabelTable()

  Maps `JSlider.getLabelTable()` through queue

### getMajorTickSpacing

    public int getMajorTickSpacing()

  Maps `JSlider.getMajorTickSpacing()` through queue

### getMaximum

    public int getMaximum()

  Maps `JSlider.getMaximum()` through queue

### getMinimum

    public int getMinimum()

  Maps `JSlider.getMinimum()` through queue

### getMinorTickSpacing

    public int getMinorTickSpacing()

  Maps `JSlider.getMinorTickSpacing()` through queue

### getModel

    public javax.swing.BoundedRangeModel getModel()

  Maps `JSlider.getModel()` through queue

### getOrientation

    public int getOrientation()

  Maps `JSlider.getOrientation()` through queue

### getPaintLabels

    public boolean getPaintLabels()

  Maps `JSlider.getPaintLabels()` through queue

### getPaintTicks

    public boolean getPaintTicks()

  Maps `JSlider.getPaintTicks()` through queue

### getPaintTrack

    public boolean getPaintTrack()

  Maps `JSlider.getPaintTrack()` through queue

### getSnapToTicks

    public boolean getSnapToTicks()

  Maps `JSlider.getSnapToTicks()` through queue

### getUI

    public javax.swing.plaf.SliderUI getUI()

  Maps `JSlider.getUI()` through queue

### getValue

    public int getValue()

  Maps `JSlider.getValue()` through queue

### getValueIsAdjusting

    public boolean getValueIsAdjusting()

  Maps `JSlider.getValueIsAdjusting()` through queue

### removeChangeListener

    public void removeChangeListener(javax.swing.event.ChangeListener changeListener)

  Maps `JSlider.removeChangeListener(ChangeListener)` through queue

### setExtent

    public void setExtent(int i)

  Maps `JSlider.setExtent(int)` through queue

### setInverted

    public void setInverted(boolean b)

  Maps `JSlider.setInverted(boolean)` through queue

### setLabelTable

    public void setLabelTable(java.util.Dictionary dictionary)

  Maps `JSlider.setLabelTable(Dictionary)` through queue

### setMajorTickSpacing

    public void setMajorTickSpacing(int i)

  Maps `JSlider.setMajorTickSpacing(int)` through queue

### setMaximum

    public void setMaximum(int i)

  Maps `JSlider.setMaximum(int)` through queue

### setMinimum

    public void setMinimum(int i)

  Maps `JSlider.setMinimum(int)` through queue

### setMinorTickSpacing

    public void setMinorTickSpacing(int i)

  Maps `JSlider.setMinorTickSpacing(int)` through queue

### setModel

    public void setModel(javax.swing.BoundedRangeModel boundedRangeModel)

  Maps `JSlider.setModel(BoundedRangeModel)` through queue

### setOrientation

    public void setOrientation(int i)

  Maps `JSlider.setOrientation(int)` through queue

### setPaintLabels

    public void setPaintLabels(boolean b)

  Maps `JSlider.setPaintLabels(boolean)` through queue

### setPaintTicks

    public void setPaintTicks(boolean b)

  Maps `JSlider.setPaintTicks(boolean)` through queue

### setPaintTrack

    public void setPaintTrack(boolean b)

  Maps `JSlider.setPaintTrack(boolean)` through queue

### setSnapToTicks

    public void setSnapToTicks(boolean b)

  Maps `JSlider.setSnapToTicks(boolean)` through queue

### setUI

    public void setUI(javax.swing.plaf.SliderUI sliderUI)

  Maps `JSlider.setUI(SliderUI)` through queue

### setValue

    public void setValue(int i)

  Maps `JSlider.setValue(int)` through queue

### setValueIsAdjusting

    public void setValueIsAdjusting(boolean b)

  Maps `JSlider.setValueIsAdjusting(boolean)` through queue

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD